Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5604 - Conf file errors
Summary: Conf file errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 21:30 UTC by Wil Harris
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-02 15:40:28 UTC


Attachments (Terms of Use)

Description Wil Harris 1999-10-05 21:30:35 UTC
The config file shipped with SWS 3.0 has an error that is a
possible security flaw. The apache group changed the
globbing in the 1.3.x to be more shell compatiable than in
the previous versions so /*/public_html will no longer work.
With this typo in order to add user level cgi access you
must turn it on globally which causes serious security
problems with the webserver. The proper format should be
/home/*/public_html or ~/*/public_html (The latter does not
seem to work all the time).

Comment 1 Preston Brown 1999-11-02 15:40:59 UTC
wil - we corrected this for SWS 3.1 but I don't consider it enough of
a security hole to issue errata for 3.0, as we are encouraging
everyone to get a free upgrade to 3.1 anyway.


Note You need to log in before you can comment on or make changes to this bug.